#58667 closed defect (fixed)

py37-tensorflow @1.14.0+native: 'sudo port upgrade outdated' fails.

Reported by: AndyWharton Owned by: emcrisostomo@…
Priority: Normal Milestone:
Component: ports Version: 2.5.4
Keywords: Cc: jonesc@…
Port: py-tensorflow

Description

Upgrading from py37-tensorflow @1.13.1_0+native using sudo port upgrade outdated fails with:

:info:destroot Installing collected packages: tensorflow
:info:destroot   Found existing installation: tensorflow 1.13.1
:info:destroot     Uninstalling tensorflow-1.13.1:
:info:destroot ERROR: Could not install packages due to an EnvironmentError: [Errno 1] Operation not permitted: '/opt/local/Library/Frameworks/Python.framework/Versions/3.7/bin/freeze_graph'
:info:destroot Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_python_py-tensorflow/py37-tensorflow/work/tensorflow-1\
.14.0" && pip-3.7 install --upgrade --force-reinstall --no-cache-dir --no-dependencies --root /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_po\
rts_python_py-tensorflow/py37-tensorflow/work/destroot /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_python_py-tensorflow/py37-tensorflo\
w/work/tensorflow-1.14.0-cp37-cp37m-macosx_10_14_x86_64.whl
:info:destroot Exit code: 1
:error:destroot Failed to destroot py37-tensorflow: command execution failed

Full build log is attached.

Is is possible to complete the upgrade by hand?

Attachments (1)

BuildLog.zip (1.3 MB) - added by AndyWharton 15 months ago.
Build log from 'sudo port installed outdated'

Download all attachments as: .zip

Change History (4)

Changed 15 months ago by AndyWharton

Attachment: BuildLog.zip added

Build log from 'sudo port installed outdated'

comment:1 Changed 15 months ago by mf2k (Frank Schima)

Port: py-tensorflow added; py37-tensorflow removed

comment:2 Changed 15 months ago by cjones051073 (Chris Jones)

Yes, this is a known issue I have yet been unable to solve. The fix is to first completely uninstall the port before rebuilding the newer version.

port uninstall py37-tensorflow +native
port install py37-tensorflow +native

I should probably look into putting something into the port to automatically detect this and warn the user....

comment:3 Changed 15 months ago by Chris Jones <jonesc@…>

Resolution: fixed
Status: assignedclosed

In 6a1ff2502e2554b86ff271ac6361bf26e4e2cc66/macports-ports (master):

py-tensorflow: Add build conflict on self
Closes: #58667

Note: See TracTickets for help on using tickets.